TrimSpacesOption (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.jasper, enum: TrimSpacesOption

# Enum Class TrimSpacesOption

java.lang.Object
java.lang.Enum<TrimSpacesOption>
org.apache.jasper.TrimSpacesOption

All Implemented Interfaces:
  `Serializable, Comparable<TrimSpacesOption>, Constable`

public enum TrimSpacesOption extends Enum<TrimSpacesOption>
Options for the trimDirectiveWhitespaces JSP attribute.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXTENDED`
  Trim whitespace around directives, scriptlet elements, and template text.
  `FALSE`
  Equivalent to trimDirectiveWhitespaces="false".
  `SINGLE`
  Trim whitespace around directives and scriptlet elements.
  `TRUE`
  Equivalent to trimDirectiveWhitespaces="true".

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TrimSpacesOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TrimSpacesOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FALSE

    public static final TrimSpacesOption FALSE
    Equivalent to trimDirectiveWhitespaces="false".

  - ### TRUE

    public static final TrimSpacesOption TRUE
    Equivalent to trimDirectiveWhitespaces="true".

  - ### SINGLE

    public static final TrimSpacesOption SINGLE
    Trim whitespace around directives and scriptlet elements.

  - ### EXTENDED

    public static final TrimSpacesOption EXTENDED
    Trim whitespace around directives, scriptlet elements, and template text.

- ## Method Details

  - ### values

    public static TrimSpacesOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TrimSpacesOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null